Subject: [Extra] QUOTA: is there any value in a separate ANNOTATION-STORAGE quota field?

From: "Bron Gondwana" <[email-masked]>
Date: Wed, 20 Nov 2019 19:02:49 +1100

Right now Cyrus IMAP stores 4 things:

 "STORAGE", /* QUOTA_STORAGE -- RFC2087 */
 "MESSAGE", /* QUOTA_MESSAGE -- RFC2087 */
 "X-ANNOTATION-STORAGE", /* QUOTA_ANNOTSTORAGE */
 "X-NUM-FOLDERS" /* QUOTA_NUMFOLDERS */

Three of these are covered by the new QUOTA-BIS, because X-NUM-FOLDERS becomes the "MAILBOX" quota, which is the number of mailboxes inside the quota root.

My question - does anybody see any value in ANNOTATION-STORAGE as a separate quota? We could of course just merge the two values to create a total "STORAGE USED" and we'd still get a limit.

To some extent this matters to Cyrus because annotations are all stored in a separate (and in Fastmail's case, more expensive SSD based) location than the emails. It would cause us grief if somebody decided to use their entire 100Gb quota on shoving large things into annotations.

But I can certainly see that most users don't care - they just want to see "how much of my email quota am I using" and get a single number!

So - I'm interested to hear from others - do you think it's worth asking for a separate item to be defined?

Cheers,

Bron.
--
 Bron Gondwana, CEO, Fastmail Pty Ltd
 [email-masked]